Manages resident portal access.
Resident Portal (v0)
Resident portals are provided to the unit owners to view and update unit details and secrets. The Resident Portal APIs support these functions. These provide details on the property, units and DPSK secrets associated. The APIs also support updates of contact details and DPSK secrets. APIs are authenticated using a specific token associated to the unit. These tokens are generated as the unit is created.
Download OpenAPI description
Overview
License
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud
- RUCKUS One API host for North American region.https://api.ruckus.cloud/residents/properties/{propertyId}
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/residents/properties/{propertyId}
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/residents/properties/{propertyId}
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payloadResponse
application/hal+json
{ "guid": "string", "name": "string", "address": "string", "description": "string", "managementName": "string", "managementPhone": "string", "managementEmail": "string", "tenantPortalHelpText": "string", "tenantPortalAnnouncements": "string", "allowSeparateGuestSecret": true, "enforceMaxUnits": true, "maxUnits": 0, "sendEmail": true, "sendSms": true, "ssids": [ "string" ], "_links": { "property1": { … }, "property2": { … } } }
- RUCKUS One API host for North American region.https://api.ruckus.cloud/residents/properties/{propertyId}/uiConfigurations
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/residents/properties/{propertyId}/uiConfigurations
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/residents/properties/{propertyId}/uiConfigurations
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payloadResponse
application/hal+json
{ "apiAllowed": true, "tenantSetDpsk": true, "logoFileName": "string", "tenantTitle": "string", "tenantSubtitle": "string", "announcements": "string", "helpText": "string", "portalAllowed": true, "mainColor": "string", "accentColor": "string", "separatorColor": "string", "textColor": "string", "iconFileName": "string", "loginText": "string", "_links": { "property1": { … }, "property2": { … } } }
- RUCKUS One API host for North American region.https://api.ruckus.cloud/residents/properties/{propertyId}/files/{type}
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/residents/properties/{propertyId}/files/{type}
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/residents/properties/{propertyId}/files/{type}
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payloadResponse
- image/png
- application/hal+json
No response example